GWT 2.7.0

## com.google.gwt.user.client.ui
Interface HasFocus

All Superinterfaces:
  Focusable, SourcesFocusEvents, SourcesKeyboardEvents

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FileUpload, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

Deprecated. Use `Focusable` instead

    @Deprecated
    public interface HasFocus

extends Focusable, SourcesFocusEvents, SourcesKeyboardEvents

A widget that implements this interface can receive keyboard focus.

Method Summary

Methods inherited from interface com.google.gwt.user.client.ui.Focusable
`getTabIndex, setAccessKey, setFocus, setTabIndex`

Methods inherited from interface com.google.gwt.user.client.ui.SourcesFocusEvents
`addFocusListener, removeFocusListener`

Methods inherited from interface com.google.gwt.user.client.ui.SourcesKeyboardEvents
`addKeyboardListener, removeKeyboardListener`

GWT 2.7.0